﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace LoadImplicitTheme
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            Application.Current.Resources.MergedDictionaries.Add(SharedDictionaryManager.SharedDictionary);

            InitializeComponent();
            Windows8Palette.Palette.AccentColor = Color.FromArgb(0xFF, 0x79, 0x25, 0x6B);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Resources.MergedDictionaries.Clear();
            SharedDictionaryManager.LoadImplicitTheme("Office2013");
            this.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri("/LoadImplicitTheme;component/TreeViewItemStyle.xaml", UriKind.RelativeOrAbsolute)
            });
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Resources.MergedDictionaries.Clear();
            SharedDictionaryManager.LoadImplicitTheme("Windows8");
            this.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri("/LoadImplicitTheme;component/TreeViewItemStyle.xaml", UriKind.RelativeOrAbsolute)
            });
        }
    }
}
